ru.yandex.clickhouse.util

## Class TypeUtils

- java.lang.Object
- - ru.yandex.clickhouse.util.TypeUtils

    public class TypeUtils
    extends Object

Author:
  Aleksandr Kormushin (<kormushin@yandex-team.ru>)

### Field Summary

Fields
`static String` `NULLABLE_NO`
`static String` `NULLABLE_YES`

### Constructor Summary

Constructors
Constructor and Description
`TypeUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `getArrayElementTypeName(String clickhouseType)`
`static String` `isTypeNull(String clickshouseType)`
`static boolean` `isUnsigned(String clickhouseType)`
`static int[]` `supportedTypes()`
`static Class` `toClass(int sqlType, boolean isUnsigned)`
`static Class` `toClass(int sqlType, int elementSqltype, boolean isUnsigned)`
`static int` `toSqlType(String clickshouseType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NULLABLE_YES

    public static final String NULLABLE_YES

See Also:
  Constant Field Values

#### NULLABLE_NO

    public static final String NULLABLE_NO

See Also:
  Constant Field Values

### Constructor Detail

#### TypeUtils

    public TypeUtils()

### Method Detail

#### toSqlType

    public static int toSqlType(String clickshouseType)

#### isUnsigned

    public static boolean isUnsigned(String clickhouseType)

#### supportedTypes

    public static int[] supportedTypes()

#### getArrayElementTypeName

    public static String getArrayElementTypeName(String clickhouseType)

#### toClass

    public static Class toClass(int sqlType,
                                boolean isUnsigned)
                         throws SQLException

Throws:
  `SQLException`

#### toClass

    public static Class toClass(int sqlType,
                                int elementSqltype,
                                boolean isUnsigned)
                         throws SQLException

Throws:
  `SQLException`

#### isTypeNull

    public static String isTypeNull(String clickshouseType)